src.backend.lib.api_hooks.DuckDuckGo(3)

NAME
src.backend.lib.api_hooks.DuckDuckGo

SYNOPSIS

  Public Member Functions
def __init__ (self)
def image_result (self, query)
def description_result (self, query)

  Public Attributes
url
imageurl

Detailed Description

duckduckgo related searching

Constructor & Destructor Documentation

  def src.backend.lib.api_hooks.DuckDuckGo.__init__ ( self)

Member Function Documentation

  def src.backend.lib.api_hooks.DuckDuckGo.description_result ( self, query)

  def src.backend.lib.api_hooks.DuckDuckGo.image_result ( self, query)

Returns json containing url to image
:param _key: &t=h_&iar=images&iax=images&ia=images&format=json&pretty=1

Member Data Documentation

  src.backend.lib.api_hooks.DuckDuckGo.imageurl

  src.backend.lib.api_hooks.DuckDuckGo.url

Author

Generated automatically by Doxygen for pyShelf Open Source Ebook Server from the source code.